#ifndef VARIABLE_H
#define VARIABLE_H

#include <frost_utils.h>
#include "typename.h"

namespace Frost
{

struct Variable
{
    TypeName mType;
    s_str    sName;
    s_bool   bGlobal;
    s_bool   bStatic;
    s_str    sValue;

    s_ctnr<s_str> lDocElements;
};

template<> class StringConverter<string_element, Variable>
{
public :

    typedef s_str::string string;

    static string Convert(const Variable& mVar);
};

}

#endif // VARIABLE_H
